=== python/Makefile ===
--- 
+++ 
@@ -6,6 +6,8 @@
 
 CFLAGS = -O3 -I$(PYTHON_INCLUDEDIR) -I..
 LDFLAGS = -shared
+# Mac OS
+# LDFLAGS = -framework Python -bundle
 
 all: svmc.so
