=== java/Makefile ===
--- 
+++ 
@@ -4,9 +4,9 @@
 	svm_train.class svm_predict.class svm_toy.class
 
 #JAVAC = jikes
-#JAVAC_FLAGS = -target 1.1 -source 1.3
+JAVAC_FLAGS = -target 1.5 -source 1.5
 JAVAC = javac
-JAVAC_FLAGS =
+# JAVAC_FLAGS =
 
 all: $(FILES)
 	jar cvf libsvm.jar *.class libsvm/*.class
