=== svm-toy/qt/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CXXC = g++
+CXX? = g++
 CFLAGS = -Wall -O3 -DQT_THREAD_SUPPORT
 BIN = $(QTDIR)/bin
 INCLUDE = $(QTDIR)/include
@@ -8,7 +8,7 @@
 #LIB = /usr/lib/qt3
 
 svm-toy: svm-toy.cpp svm-toy.moc ../../svm.o
-	$(CXXC) -I$(INCLUDE) $(CFLAGS) svm-toy.cpp ../../svm.o -o svm-toy -L$(LIB) -lqt-mt 
+	$(CXX) -I$(INCLUDE) $(CFLAGS) svm-toy.cpp ../../svm.o -o svm-toy -L$(LIB) -lqt-mt 
 # add -pthread for bsd
 
 svm-toy.moc: svm-toy.cpp
