=== python/Makefile ===
all = lib

lib: ../svm.cpp ../svm.h
	cd ..; make lib; cd -
