## libsvm 3.0

=== debian/changelog ===
libsvm (3.0-1~nd09.10+1) karmic; urgency=low

  * Backported for karmic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 02 Mar 2011 09:32:21 -0500

libsvm (3.0-1) unstable; urgency=low
  
  [Chen-Tse Tsai]
  * New upstream release.
    - Moved the model structure to svm.h and changed the function
      which destroys the model.
    - Added description warns that the new python interface 
      is incompatible with the previous version 2. (Closes: #594251)
  [Steffen Moeller]
  * Changed to source format 3.0 (quilt).
  * Allowing repeated invocations of dpkg-buildpackage

 -- Chen-Tse Tsai <ctse.tsai@gmail.com>  Sun, 10 Oct 2010 10:55:41 +0800

libsvm (2.91-2) unstable; urgency=low
  
  * Fixed the preinst script of python-libsvm. (Closes: #583737)
  * Fixed the man page of svm-predict. (Closes: #590275)
  * Fixed python string exception problems of libsvm-tools. (Closes: #585245)

 -- Chen-Tse Tsai <ctse.tsai@gmail.com>  Fri, 6 Aug 2010 03:03:41 +0800

libsvm (2.91-1) unstable; urgency=low
  
  * New upstream release.
  * Changed python-libsvm to the new python interface
    provided by upstream.

 -- Chen-Tse Tsai <ctse.tsai@gmail.com>  Fri, 10 Apr 2010 12:00:44 +0800

libsvm (2.90-1) unstable; urgency=low
  
  * New upstream release.
  * Fixed dependency of python-libsvm. (Closes: #548401)
  * Fixed python-libsvm building problem and migrated 
    from python-central to python-support. 
    Thanks to Sandro Tosi. (Closes: #557339)
  * Moved the tools in examples/tools/ of python-libsvm to 
    libsvm-tools and provided manual pages for them.
  * Made libsvm2 depend on the latest libsvm-dev. (Closes: #527805)
  * Rebuild .jar from source. Thanks to gregor herrmann. (Closes: #558575)
  * Removed libsvm.pc from libsvm-dev.

 -- Chen-Tse Tsai <ctse.tsai@gmail.com>  Fri, 4 Dec 2009 21:00:44 +0800

libsvm (2.89-1) unstable; urgency=low

  * New upstream release.
  * Changed version number to consistent with upstream.
  * Changed examples of libsvm-dev.
  * Removed debian/patches/verbosity-adjust.diff and osx-support.diff.

 -- Chen-Tse Tsai <ctse.tsai@gmail.com>  Wed, 01 Apr 2009 15:46:44 +0800

libsvm (2.88.0-5) unstable; urgency=low

  * New maintainer. (Closes: #517447)
  * Fixed long description of Java package. (Closes: #518141)

 -- Chen-Tse Tsai <ctse.tsai@gmail.com>  Wed, 04 Mar 2009 23:39:03 +0800

libsvm (2.88.0-4) unstable; urgency=low

  * Made Java package architecture all instead of architecture any.

 -- Rudi Cilibrasi <cilibrar@debian.org>  Mon, 09 Feb 2009 21:53:59 -0800

libsvm (2.88.0-2) unstable; urgency=low

  * Added new libsvm2-java binary package.  (Closes: #514502)

 -- Rudi Cilibrasi <cilibrar@debian.org>  Mon, 09 Feb 2009 20:58:52 -0800

libsvm (2.88.0-1) unstable; urgency=low

  * New upstream release.       (Closes: #476534)
  * Switched to quilt patch management system, updated patches for v. 2.88.
  * Fixed new Build-Depends and Depends problems.

 -- Rudi Cilibrasi <cilibrar@debian.org>  Sun, 08 Feb 2009 21:39:45 -0800

libsvm (2.85.0-1) unstable; urgency=low

  * New upstream release.

 -- Rudi Cilibrasi <cilibrar@debian.org>  Fri, 28 Dec 2007 22:15:04 -0800

libsvm (2.84.0-3) unstable; urgency=low

  * Added support for Python 2.5. (Closes: #445386)

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Fri, 26 Oct 2007 17:45:17 -0700

libsvm (2.84.0-2) unstable; urgency=low

  * Verbosity option for python.  Thanks to Michael Hanke. (Closes: #439112)
  * Updated Build-Depends and Depends and clarified package authorship.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Wed, 03 Oct 2007 17:49:09 -0700

libsvm (2.84.0-1) unstable; urgency=low

  * New upstream release.
  * Fixed clean target. (Closes: #424537)
  * Added -q quiet option to svm-train and svm-predict to
    suppress diagnostic messages. (Closes: #412531)

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Fri, 20 Apr 2007 11:21:59 +0200

libsvm (2.82.0-4) unstable; urgency=low

  * Fixed broken doc examples in python-libsvm.  (thanks to Michael Hanke)
  * Added many more docs from orig.tar. (Closes: #405273)

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Wed, 10 Jan 2007 20:10:45 +0100

libsvm (2.82.0-3) unstable; urgency=low

  * Minimized depends and build-depends, and simplified Python versions.
  * Python version 2.3 support has been removed. (Closes: #403347)
  * Many small packaging improvements related to Debian Python policy.
  * Thanks to Matthias Klose, Petr Salinger, and the Debian Installer daemon
    for lots of help with this release. (Closes: #403751)

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Wed, 20 Dec 2006 13:57:45 +0100

libsvm (2.82.0-2) unstable; urgency=low

  * Added g++-4.0 to Build-Depends.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Wed, 18 Oct 2006 16:10:24 +0200

libsvm (2.82.0-1) unstable; urgency=low

  * 2.82.0-1
  * Initial release. (Closes: #379051)  This package will be a
    sponsored upload by Paul van Tilburg and owes him thanks for
    valuable suggestions.
  * This release also closes: #379051.
  * Made Python interface work.  Thank to Yarik for help with this.
  * Made version numbers and SONAME to be more consistent, modern, and clean.
  * Thanks to Yarik (Yaroslav Halchenko <debian@onerussian.com>) for
    help with the version/SONAME fix.
  * Fixed some minor documentation issues.
  * Adjusted watch file and versioning scheme to follow upstream better.
  * Fixed libsvm.pc description.
  * Clarified debian/copyright.
  * Moved -dev package sections to libdevel.
  * Manual pages moved to debian/ subdir.
  * Simplified external Debian packaging.
  * Merged libsvm-doc stuff into libsvm2 package and got rid of -doc package.
  * Minor packaging adjustments prior to first official upload.
  * Switched to CDBS.

