=== debian/control ===
Source: libsvm
Section: devel
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Chen-Tse Tsai <ctse.tsai@gmail.com>
XS-Python-Version: all
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 5.0.0), autotools-dev, libtool, cdbs, python-all-dev (>= 2.3.5-7), python-support (>= 0.90), default-jdk-builddep
Standards-Version: 3.9.1.0
Homepage: http://www.csie.ntu.edu.tw/~cjlin/libsvm/

Package: libsvm3
Architecture: any
Section: libs
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
Description: library implementing support vector machines
 The LIBSVM library is used to calculate Support Vector Machine optimizations
 with a great variety of powerful options.  It includes one-class, two-class,
 multiclass, regression-mode, and probablistic output functionality.  It is
 primarily of interest to machine-learning researchers and artificial
 intelligence application developers.

Package: libsvm-tools
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, gnuplot
Description: The LIBSVM binary tools
 LIBSVM is an easy-to-use package for support vector classification,
 regression and one-class SVM. It supports multi-class classification,
 probability outputs, and parameter selection.
 LIBSVM homepage: http://www.csie.ntu.edu.tw/~cjlin/libsvm

Package: libsvm-dev
Architecture: any
Section: libdevel
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, libsvm3 (=${binary:Version})
Description: The LIBSVM header files
 These are the header files for LIBSVM, a machine-learning library.

Package: python-libsvm
Architecture: any
Section: python
Depends: neurodebian-popularity-contest, libsvm3(=${binary:Version}), ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}
Description: Python interface for support vector machine library
 Python interface for the LIBSVM library using ctypes. This new python interface 
 is provided since 2.91, and it is incompatible with the old one.


Package: libsvm3-java
Architecture: all
Section: java
Depends: neurodebian-popularity-contest, gij | java-gcj-compat | java1-runtime | java2-runtime, ${misc:Depends}
Conflicts: libsvm2-java (<= 2.91-2)
Suggests: java-virtual-machine
Description: Java API to support vector machine library
 The functionality of the libsvm are offered in a single jar file. It includes 
 one-class, two-class, multiclass, regression-mode, and probablistic output 
 functionality.

Package: libsvm-java
Architecture: all
Section: java
Depends: neurodebian-popularity-contest, libsvm3-java, ${misc:Depends}
Description: Java API to support vector machine library
 The functionality of the libsvm are offered in a single jar file. It includes 
 one-class, two-class, multiclass, regression-mode, and probablistic output 
 functionality.
 .
 This package solely provides a symbolic link from svm.jar svm3.jar.
