=== debian/changelog ===
libsvm (3.12-1) unstable; urgency=low

  * New upstream release
  * Remove patchsys-quilt.mk and upgrade to packaging format "3.0 quilt".
  (Closes: #667791)
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Change obsolete depends default-jdk-builddep to default-jdk. 
  (Closes: #669223)
  * Fix description-synopsis-starts-with-article (Lintian).
  * Fix extended-description-is-probably-too-short (Lintian).
  * Fix needless-dependency-on-jre (Lintian).
  * Fix capitalization-error-in-description Python (Lintian).
  * Fix duplicate-short-description (Lintian).
  * Add build-arch and build-indep rules. (Closes: #673215)

 -- Chen-Tse Tsai <ctse.tsai@gmail.com>  Mon, 11 Jun 2012 16:14:24 +0800

libsvm (3.1-1) unstable; urgency=low
  
  * New upstream release.
  * Removed the versioned name of directory under /usr/include/
  	since different version of libsvm-dev cannot be co-installed. (Closes: #608851)

 -- Chen-Tse Tsai <ctse.tsai@gmail.com>  Wed, 6 Apr 2011 17:45:42 +0800
