=== debian/control ===
Source: libsvm
Section: devel
Priority: optional
Maintainer: Chen-Tse Tsai <ctse.tsai@gmail.com>
XS-Python-Version: all
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), autotools-dev, libtool, cdbs, python-all-dev (>= 2.3.5-7), python-support (>= 0.90), default-jdk
Standards-Version: 3.9.3
Homepage: http://www.csie.ntu.edu.tw/~cjlin/libsvm/

Package: libsvm3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library implementing support vector machines
 The LIBSVM library is used to calculate Support Vector Machine optimizations
 with a great variety of powerful options.  It includes one-class, two-class,
 multiclass, regression-mode, and probablistic output functionality.  It is
 primarily of interest to machine-learning researchers and artificial
 intelligence application developers.

Package: libsvm-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, gnuplot
Description: LIBSVM binary tools
 LIBSVM is an easy-to-use package for support vector classification,
 regression and one-class SVM. It supports multi-class classification,
 probability outputs, and parameter selection.
 LIBSVM homepage: http://www.csie.ntu.edu.tw/~cjlin/libsvm

Package: libsvm-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libsvm3 (=${binary:Version})
Description: LIBSVM header files
 LIBSVM, a machine-learning library, is an easy-to-use package for 
 support vector classification, regression and one-class SVM. It 
 supports multi-class classification, probability outputs, and 
 parameter selection.
 .
 This package contains the development header files.

Package: python-libsvm
Architecture: any
Section: python
Depends: libsvm3(=${binary:Version}), ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}
Description: Python interface for support vector machine library
 Python interface for the LIBSVM library using ctypes. This new Python 
 interface is provided since 2.91, and it is incompatible with the old 
 one.

Package: libsvm3-java
Architecture: all
Section: java
Depends: ${misc:Depends}
Conflicts: libsvm2-java 
Suggests: java-virtual-machine
Description: Java API to support vector machine library (libsvm3.jar)
 The functionality of the libsvm are offered in a single jar file. It includes 
 one-class, two-class, multiclass, regression-mode, and probablistic output 
 functionality.

Package: libsvm-java
Architecture: all
Section: java
Depends: libsvm3-java, ${misc:Depends}
Description: Java API to support vector machine library (libsvm.jar)
 The functionality of the libsvm are offered in a single jar file. It includes 
 one-class, two-class, multiclass, regression-mode, and probablistic output 
 functionality.
 .
 This package solely provides a symbolic link from libsvm.jar libsvm3.jar.
