=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 #include /usr/share/cdbs/1/class/makefile.mk
 #include /usr/share/python/python.mk
 
@@ -21,18 +20,19 @@
 # use pysupport to install files of python-libsvm
 #PYVERS=$(shell pyversions -vs)
 LVER=3
-LSUBVER=0
+LSUBVER=12
 SOVER=$(LVER).$(LSUBVER)
 LIBFILE=libsvm.so.$(SOVER)
 CXX ?= g++
 CFLAGS = -Wall -Wconversion -O3
 LIBFLAGS = -fPIC
 
-build: svm-train svm-predict svm-scale $(LIBFILE) .javastuff chname
+build: build-arch build-indep
+build-arch: svm-train svm-predict svm-scale $(LIBFILE) chname
+build-indep: .javastuff
 
 .javastuff:
 	$(MAKE) -C java
-	touch $@
 
 $(LIBFILE): svm.o
 	$(CXX) -shared -Wl,-soname,libsvm.so.$(LVER) -o $(LIBFILE) svm.o -lm && \
@@ -64,7 +64,6 @@
 	sed -i 's/..\/svm-scale/\/usr\/bin\/svm-scale/g' tools/svm-*
 	sed -i 's/.\/grid.py/\/usr\/bin\/svm-grid/g' tools/svm-easy
 	sed -i 's/"get no rate"/RuntimeError("get no rate")/g' tools/svm-grid
-	touch $@
 
 #install: $(PYVERS:%=install-python%)
 #install-python%:
@@ -85,5 +84,7 @@
 	dh_pysupport -plibsvm-tools
 
 clean::
-	$(MAKE) distclean
-	rm -f chname .javastuff tools/svm-*
+	$(MAKE) clean
+	find . -name "*.class" | xargs -r rm
+	find . -name "*.jar" | xargs -r rm
+	rm -f libsvm.so libsvm.so.$(LVER) libsvm.so.$(LVER).$(LSUBVER) tools/svm-*
