## libsvm 3.21+ds

=== debian/changelog ===
libsvm (3.21+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/libsvm3.triggers:
    - Fix typo: activate-nowait -> activate-noawait.  (Closes: #832075)

 -- Olly Betts <olly@survex.com>  Sat, 30 Jul 2016 15:18:16 +1200

libsvm (3.21+ds-1) unstable; urgency=medium

  * New upstream release (Closes: #824032)
  * Acknowledge NMU. Thanks, Andrey.
  * debian/control:
    - Removed obsolete DM-Upload-Allowed
    - Updated the Standards-Version to 3.9.8 (no changes needed)
    - Changed XS-Python-Version to X-Python-Version
    - Changed the architecture of python-libsvm to all
    - Make python-libsvm, depending on arch:any, binNMUable
    - Removed duplicated Homepage description. (Closes: #693889)
    - Removed autotools-dev from Build-Depends
    - Changed python-all-dev to python-all in Build-Depends
  * debian/rules:
    - Added hardening support using dpkg-buildflags
  * Added patch improve-option-parsing.patch.
    It improves option parsing in svm-train.c, svm-predict.c,
    and svm-scale.c. (Closes: #716362, Closes: #716363) 
  * debian/copyright:
    - Changed the copyright file to machine-readable format 1.0
    - Added missing copyright attribution for tools/checkdata.py
  * Replaced libsvm3.postinst with libsvm3.triggers
  * Fixed some typos in the man page of svm-checkdata
  * Added a watch file
  * Removed Windows binary files and the pre-built jar (Closes: #823880)
  * Thanks to Christian for advising many packaging details.  

 -- Chen-Tse Tsai <ctse.tsai@gmail.com>  Wed, 20 Jul 2016 12:50:24 -0500

libsvm (3.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port from python-support to dh-python (Closes: #786206)

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 29 Aug 2015 20:00:43 +0500
