=== debian/control ===
--- 
+++ 
@@ -2,16 +2,23 @@
 Section: devel
 Priority: optional
 Maintainer: Chen-Tse Tsai <ctse.tsai@gmail.com>
-XS-Python-Version: all
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), autotools-dev, libtool, cdbs, python-all-dev (>= 2.3.5-7), python-support (>= 0.90), default-jdk
-Standards-Version: 3.9.3
+X-Python-Version: >= 2.5
+Build-Depends: 
+	debhelper (>= 9), 
+	libtool, 
+	cdbs, 
+	python-all (>= 2.3.5-7), 
+	dh-python, 
+	default-jdk
+Standards-Version: 3.9.8
 Homepage: http://www.csie.ntu.edu.tw/~cjlin/libsvm/
 
 Package: libsvm3
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: 
+	${shlibs:Depends}, 
+	${misc:Depends}
 Description: library implementing support vector machines
  The LIBSVM library is used to calculate Support Vector Machine optimizations
  with a great variety of powerful options.  It includes one-class, two-class,
@@ -21,17 +28,23 @@
 
 Package: libsvm-tools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, gnuplot
+Depends: 
+	${shlibs:Depends}, 
+	${misc:Depends}, 
+	${python:Depends}, 
+	gnuplot
 Description: LIBSVM binary tools
  LIBSVM is an easy-to-use package for support vector classification,
  regression and one-class SVM. It supports multi-class classification,
  probability outputs, and parameter selection.
- LIBSVM homepage: http://www.csie.ntu.edu.tw/~cjlin/libsvm
 
 Package: libsvm-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libsvm3 (=${binary:Version})
+Depends: 
+	${shlibs:Depends}, 
+	${misc:Depends}, 
+	libsvm3 (=${binary:Version})
 Description: LIBSVM header files
  LIBSVM, a machine-learning library, is an easy-to-use package for 
  support vector classification, regression and one-class SVM. It 
@@ -41,9 +54,14 @@
  This package contains the development header files.
 
 Package: python-libsvm
-Architecture: any
+Architecture: all
 Section: python
-Depends: libsvm3(=${binary:Version}), ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: 
+	libsvm3(>=${binary:Version}), 
+	libsvm3(<<${binary:Version}.1~), 
+	${python:Depends}, 
+	${misc:Depends}, 
+	${shlibs:Depends}
 Provides: ${python:Provides}
 Description: Python interface for support vector machine library
  Python interface for the LIBSVM library using ctypes. This new Python 
@@ -64,7 +82,9 @@
 Package: libsvm-java
 Architecture: all
 Section: java
-Depends: libsvm3-java, ${misc:Depends}
+Depends: 
+	libsvm3-java, 
+	${misc:Depends}
 Description: Java API to support vector machine library (libsvm.jar)
  The functionality of the libsvm are offered in a single jar file. It includes 
  one-class, two-class, multiclass, regression-mode, and probablistic output
