=== debian/watch ===
version=3

opts = "dversionmangle=s/\+ds//" \
http://www.csie.ntu.edu.tw/~cjlin/libsvm/oldfiles/libsvm-(.*)\.tar\.gz
