=== debian/changelog ===
libsvm (3.24+ds-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:46:53 +0100

libsvm (3.24+ds-3) unstable; urgency=medium

  * autopktest: Fix package name svm-tools -> libsvm-tools. (Closes: #950317)
  * Fix FTBFS on arch:all because of missing JAR.
    This was caused by recent changes to the build process.
  * Mark libsvm3-java as Multi-Arch: foreign
  * Bump Standards-Version to 4.5.0 (no changes needed)

 -- Christian Kastner <ckk@debian.org>  Fri, 31 Jan 2020 23:33:23 +0100

libsvm (3.24+ds-2) unstable; urgency=medium

  * Set shebang when installing tools/. Really (Closes: #936924)

 -- Christian Kastner <ckk@debian.org>  Mon, 20 Jan 2020 08:36:36 +0100

libsvm (3.24+ds-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Move to Debian Science Team maintenance

  [ Chen-Tse Tsai ]
  * Acknowledge NMUs. Thanks, Olly Betts and Adrian Bunk!
  * Drop dependency on cdbs. Use dh instead.
  * Drop Python2 package. Create Python3 package (Closes: #936924)
  * Add patch build-libraries.patch to simplify proper shared library building.
  * Bump debhelper compatibility level to 12.
  * Let dh_install install from debian/tmp, instead of source.
  * Add lintian overrides for no-upstream-changelog.
  * Include man pages in libsvm-tools package.
  * Drop obsolete dpkg trigger.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #862234)
    + Move default-jdk to Build-Depends-Indep
    + Annotate python-all dependency with :native
    + Use a triplet-prefixed CXX

  [ Andreas Tille ]
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/control
  * Remove trailing whitespace in debian/copyright
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entry 2.91-1.
  * Use Files-Excluded to exclude Windows binaries

  [ Christian Kastner ]
  * Add symbols file based on version 3.21
  * Set Rules-Requires-Root to no to declare that libsvm does not need
    (fake)root for building its debs
  * Also install tools svm-checkdata, svm-easy, svm-grid, svm-subset
  * Add autopkgtest smoke-test for the executables
  * Add myself to Uploaders
  * Use secure URI in d/watch
  * Add Comment to d/copyright documenting the precompiled binaries removal
  * Bump copyrights
  * Add lintian override for
    possible-documentation-but-no-doc-base-registration

 -- Christian Kastner <ckk@debian.org>  Fri, 10 Jan 2020 22:15:03 +0100

libsvm (3.21+ds-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump -target/-source to fix FTBFS with Java >= 9,
    thanks to Emmanuel Bourg. (Closes: #893291)

 -- Adrian Bunk <bunk@debian.org>  Sun, 23 Sep 2018 08:39:25 +0300
