## libsvm 3.24+ds

=== debian/changelog ===
libsvm (3.24+ds-6.1) unstable; urgency=medium

  [ Anibal Monsalve Salazar ]
  * Non-maintainer upload

  [ Vladimir Petko ]
  * d/control: add java-common to Build-Depends to resolve build
    failure on platforms other than amd64.
    d/rules, d/target-source.patch: use java_compat_level variable
    provided by java-common to adjust -source/-target level to the
    minimum required by the default Java (LP: #2054242).
    Closes: #1057522

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 22 Feb 2024 16:33:36 +1300

libsvm (3.24+ds-6) unstable; urgency=medium

  * d/test/control: Add python3-all to python-simple's Depends:
    (Closes: #972533)
  * d/control: Add myself to Uploaders.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 22 Oct 2020 08:22:16 +1300

libsvm (3.24+ds-5) unstable; urgency=medium

  * Set Multi-Arch: same for libsvm3, libsvm-dev; foreign for libsvm-java
  * Add optional symbols seen with newer toolchain
  * Add lintian-overrides for libsvm-java

 -- Christian Kastner <ckk@debian.org>  Sun, 13 Sep 2020 20:52:29 +0200

libsvm (3.24+ds-4) unstable; urgency=medium

  * Add autopkgtest for Python package
  * Add patch Merge-commonutil.py-into-svmutil.py.patch (Closes: #958114)
    - Add python3-libsvm.README.Debian documenting the merge

 -- Christian Kastner <ckk@debian.org>  Sat, 02 May 2020 10:12:38 +0200
