=== debian/watch ===
version=4

opts="repacksuffix=+ds,dversionmangle=auto,repack,compression=xz" \
   https://www.csie.ntu.edu.tw/~cjlin/libsvm/oldfiles/libsvm-(.*)\.tar\.gz
