## libsvm 3.25+ds

=== debian/changelog ===
libsvm (3.25+ds-1~exp1.1) experimental; urgency=medium

  * d/rules, d/target-source.patch: use java_compat_level variable
    provided by java-common to adjust -source/-target level to the
    minimum required by the default Java (Closes: #1057522).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 30 Jan 2024 15:37:10 +1300

libsvm (3.25+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
    - The Python modules svm, svmutil have been moved into a package libsvm.
  * Drop Merge-commonutil.py-into-svmutil.py.patch.
  * Refresh patches
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility level to 13
  * Add NEWS file for python3-libsvm
  * Remove obsolete lintian-override

 -- Christian Kastner <ckk@debian.org>  Mon, 07 Mar 2022 23:16:43 +0100
