=== debian/control ===
--- 
+++ 
@@ -2,20 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders:
-    Chen-Tse Tsai <ctse.tsai@gmail.com>,
-    Christian Kastner <ckk@debian.org>,
-    Michael Hudson-Doyle <mwhudson@debian.org>
-Build-Depends:
-	debhelper-compat (= 12),
-	libtool,
-	python3-all:native,
-	dh-python,
-	java-common,
-Build-Depends-Indep:
-	default-jdk
+Uploaders: Chen-Tse Tsai <ctse.tsai@gmail.com>,
+           Christian Kastner <ckk@debian.org>,
+           Michael Hudson-Doyle <mwhudson@debian.org>,
+Build-Depends: debhelper-compat (= 13), dh-python, libtool, python3-all:native, java-common
+Build-Depends-Indep: default-jdk
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/libsvm
 Vcs-Git: https://salsa.debian.org/science-team/libsvm.git
 Homepage: https://www.csie.ntu.edu.tw/~cjlin/libsvm/
@@ -24,9 +17,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends:
-	${shlibs:Depends},
-	${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library implementing support vector machines
  The LIBSVM library is used to calculate Support Vector Machine optimizations
  with a great variety of powerful options.  It includes one-class, two-class,
@@ -36,12 +27,11 @@
 
 Package: libsvm-tools
 Architecture: any
-Depends:
-	${shlibs:Depends},
-	${misc:Depends},
-	${python3:Depends},
-	gnuplot,
-	libsvm3 (=${binary:Version})
+Depends: gnuplot,
+         libsvm3 (=${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
 Description: LIBSVM binary tools
  LIBSVM is an easy-to-use package for support vector classification,
  regression and one-class SVM. It supports multi-class classification,
@@ -51,10 +41,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends:
-	${shlibs:Depends},
-	${misc:Depends},
-	libsvm3 (=${binary:Version})
+Depends: libsvm3 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: LIBSVM header files
  LIBSVM, a machine-learning library, is an easy-to-use package for
  support vector classification, regression and one-class SVM. It
@@ -66,12 +53,11 @@
 Package: python3-libsvm
 Architecture: all
 Section: python
-Depends:
-	libsvm3(>=${binary:Version}),
-	libsvm3(<<${binary:Version}.1~),
-	${python3:Depends},
-	${misc:Depends},
-	${shlibs:Depends}
+Depends: libsvm3(<<${binary:Version}.1~),
+         libsvm3(>=${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
 Description: Python interface for support vector machine library
  Python interface for the LIBSVM library using ctypes. This new Python
  interface is provided since 2.91, and it is incompatible with the old
@@ -93,9 +79,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: java
-Depends:
-	libsvm3-java,
-	${misc:Depends}
+Depends: libsvm3-java, ${misc:Depends}
 Description: Java API to support vector machine library (libsvm.jar)
  The functionality of the libsvm are offered in a single jar file. It includes
  one-class, two-class, multiclass, regression-mode, and probablistic output
