=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
 include /usr/share/java/java_defaults.mk
 
 # For DEB_VERSION_UPSTREAM
@@ -62,9 +63,6 @@
 override_dh_python3:
 	dh_python3 --shebang='/usr/bin/env python3'
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_clean:
 	dh_clean
 	rm -rf tools/svm-* libsvm.so* libsvm.a
