=== debian/tests/control ===
Tests: executables
Depends: libsvm-tools

Tests: python3-simple
Depends: python3-all, python3-libsvm
